Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

Upgrade from 5

Started by jury, November 15, 2023, 07:51:05 PM

Previous topic - Next topic

jury

I wanted to upgrade my quite ancient sparky to the latest and I found 2 ways to do it:
- https://wiki.sparkylinux.org/doku.php/upgrade_5_to_6
- https://sparkylinux.org/sparky-dist-upgrade-script/

First I tried to apply the method from the first link, so I updated debian and sparky lists to look exactly as in the first link (copy & paste). But then when I try to issue "sudo apt-get update" I get:
sudo apt-get update
Downloading:1 http://deb.debian.org/debian bullseye InRelease [116 kB]
Old:2 http://security.debian.org/debian-security bullseye-security/updates InRelease
Old:3 http://deb-multimedia.org bullseye InRelease                           
Ign:4 https://repo.sparkylinux.org core InRelease                             
Ign:5 https://repo.sparkylinux.org potolo InRelease                           
Error:6 https://repo.sparkylinux.org core Release       
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate.  Could not handshake: Error in the certificate verification. [IP: 185.249.225.163 443]
Error:1 http://deb.debian.org/debian bullseye InRelease
  Below signatures could not be verified cos of no public key: NO_PUBKEY 0E98404D386FA1D9 NO_PUBKEY 6ED0E7B82643E131 NO_PUBKEY 605C66F00D6C9793
Error:7 https://repo.sparkylinux.org potolo Release     
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate.  Could not handshake: Error in the certificate verification. [IP: 185.249.225.163 443]
Czytanie list pakietów... Gotowe                       
E: The repository 'https://repo.sparkylinux.org core Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Error GPG: http://deb.debian.org/debian bullseye InRelease: Below signatures could not be verified cos of no public key: NO_PUBKEY 0E98404D386FA1D9 NO_PUBKEY 6ED0E7B82643E131 NO_PUBKEY 605C66F00D6C9793
E: The repository 'http://deb.debian.org/debian bullseye InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://repo.sparkylinux.org potolo Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.


And when I tried the to do an upgrade with the second link method, I get:

wget https://sparkylinux.org/files/sparky-dist-upgrade56
--2023-11-15 19:44:25--  https://sparkylinux.org/files/sparky-dist-upgrade56
Translation sparkylinux.org (sparkylinux.org)... 185.249.225.163
Connectin with sparkylinux.org (sparkylinux.org)|185.249.225.163|:443... connected.
ERROR: No certificate was proposed by `sparkylinux.org'.
ERROR: Certificate `sparkylinux.org' expired.


pavroo

To fix sparky key:
wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo tee /usr/share/keyrings/sparky.gpg.key
then repos at file /etc/apt/sources.list.d/sparky.list :
deb [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ core main
deb-src [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ core main
deb [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ potolo main
deb-src [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ potolo main

Probably Debian changed its key too, look for it on Debian Wiki.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at [url="//irc.libera.chat"]irc.libera.chat[/url]

jury

Quote from: pavroo on November 15, 2023, 08:51:40 PMTo fix sparky key:
wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo tee /usr/share/keyrings/sparky.gpg.key

Nope:
wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo tee /usr/share/keyrings/sparky.gpg.key
--2023-12-03 15:55:28--  https://repo.sparkylinux.org/sparky.gpg.key
Translacja repo.sparkylinux.org (repo.sparkylinux.org)... 185.249.225.163
Łączenie się z repo.sparkylinux.org (repo.sparkylinux.org)|185.249.225.163|:443... połączono.
BŁĄD: Żaden certyfikat nie został przedstawiony przez `repo.sparkylinux.org'.
BŁĄD: Certyfikat `repo.sparkylinux.org' wygasł.

webxtor

#3
After upgrading from 5 to 6 and from 6 to 7 known openbox issues:

  • Broken menu as described here https://sparkylinux.org/openbox-menu-generator/comment-page-1/#comment-6213

    Solution:

    sudo apt-get install jgmenuEdit in ~/.config/openbox/rc.xml this part
            <action name="ShowMenu">
              <menu>root-menu</menu>
            </action>
    to
            <action name="Execute">
              <command>jgmenu_run</command>
            </action>
    openbox --reconfigure
    Then fine tuning jgmenu:

    • Init to create config file ~/.config/jgmenu/jgmenurc
      jgmenu_run init
    • Append (Exit) and prepend (Favorties)
      jgmenu_run init -i
      What now>append
      What now>prepend
      This will create ~/.config/jgmenu/append.csv and ~/.config/jgmenu/prepend.csv which you can edit to also add/remove entries.
      I have added Chrome to prepend.csv next to Firefox by guessing how it should be and it worked including the icon:
      Terminal,x-terminal-emulator,utilities-terminal
      Browser,firefox,firefox
      Browser,google-chrome,google-chrome
      FileZilla,filezilla,filezilla
      File manager,thunar,system-file-manager
      ^sep()
    • Adjust settings for: positioning, tint2 integration and filtering unwanted apps in ~/.config/jgmenu/jgmenurc
      # csv_cmd = apps
      csv_cmd = jgmenu_run apps | grep -v "libexec/xscreensaver"
      # tint2_look = 0
      tint2_look = 1
      # position_mode = fixed
      position_mode = pointer
      Here I have changed the default positioning from fixed to pointer so it follows the mouse pointer.
      Also I have filtered out all of the xscreensaver screensavers which spammed Settings section.
      Changes reflect immediatelly.

  • gscreenshot no longer included

    Solution:

    sudo apt-get install flameshotEdit in ~/.config/openbox/rc.xml this part (2 times)
    <command>gscreenshot</command>to
    <command>flameshot gui</command>openbox --reconfigure
  • No more volume (pavucontrol) system tray (volume meters?) icon. Similar Debian 11 Bullseye thread https://forums.debian.net/viewtopic.php?p=756651

    Solution:

    apt-get install pasystrayFor autostart add into ~/.config/openbox/autostart.sh
    pasystray &
  • WiFi disabled and system time shifted to several days ahead after waking up from suspend

    Solution:

    sudo nano /lib/systemd/system-sleep/wifi-time-fix#!/bin/sh
    set -e
    if [ "$2" = "suspend" ] || [ "$2" = "hybrid-sleep" ]; then
        case "$1" in
                pre) true ;;
                post) sleep 1 && 
                  rfkill unblock wlan && # wifi unblock
                  service ntp restart ;; # fix time with ntp online servers
        esac
    fi
    sudo chmod +x /lib/systemd/system-sleep/wifi-time-fixCredits:
    https://letsfoss.com/fix-wifi-not-working-after-suspend-in-ubuntu/
    https://askubuntu.com/questions/903141/wifi-not-working-after-sleep-suspend/1229342#1229342

  • On pasystray volume indicator no more percentage display on mouseover/change, just the progress bar on change. Also muting no longer works.

    Solution: ???


View the most recent posts on the forum